=== debian/changelog ===
gstmjpg (1.0.10) unstable; urgency=low

  * Resized clockoverlay with smaller picture sizes and moved it more to towards the corner
  * Now the pipeline is not running when no clients are connected and motion detection is off

 -- Seppo Yliklaavu <seppo.yliklaavu@gmail.com>  Thu, 12 Jun 2008 08:37:36 +0300
