=== debian/control ===
Source: gstmjpg
Section: user/multimedia
Priority: extra
Maintainer: Seppo Yliklaavu <seppo.yliklaavu@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: gstmjpg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GStreamer based motion JPEG server
 GStreamer based motion JPEG server, which can be used together with a web
 server like apache2.
